Bug 1561594 - [abrt] webkitgtk4: WTFCrash(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: WTFCrash(): WebKitWebProcess killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e2891a65f7ccd0fe860230d8784...
: 1564718 1564721 1565819 1565846 1566278 1567347 1567526 1568035 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 15:00 UTC by mithrial
Modified: 2018-06-08 02:49 UTC (History)
14 users (show)

Fixed In Version: webkitgtk4-2.20.1-1.fc27 webkitgtk4-2.20.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 15:29:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (53.28 KB, text/plain)
2018-03-28 15:00 UTC, mithrial
no flags Details
File: cgroup (319 bytes, text/plain)
2018-03-28 15:00 UTC, mithrial
no flags Details
File: core_backtrace (23.04 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: dso_list (11.45 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: environ (6.69 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: maps (51.73 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: mountinfo (6.96 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: open_fds (1.42 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-03-28 15:01 UTC, mithrial
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 183348 None None None 2018-04-07 17:43:38 UTC

Description mithrial 2018-03-28 15:00:52 UTC
Description of problem:
I closed atril with ALT+F4 

Version-Release number of selected component:
webkitgtk4-2.20.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 1 19
crash_function: WTFCrash
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
journald_cursor: s=ce86e915be9a48cc85f791a1e1d3f294;i=83c86;b=08f13aa8728040588703ef8c1d6028fe;m=b15762c9b;t=5687a1ded1973;x=48f1e0eda922aa8a
kernel:         4.15.12-301.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTFCrash at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WTF/wtf/Assertions.cpp:271
 #1 WebKit::WebProcess::ensureNetworkProcessConnection at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/WebProcess/WebProcess.cpp:1125
 #2 WebKit::WebProcess::initializeWebProcess at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/WebProcess/WebProcess.cpp:383
 #3 IPC::callMemberFunctionImpl<WebKit::WebProcess, void (WebKit::WebProcess::*)(WebKit::WebProcessCreationParameters&&), std::tuple<WebKit::WebProcessCreationParameters>, 0ul> at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/Platform/IPC/HandleMessage.h:40
 #4 IPC::callMemberFunction<WebKit::WebProcess, void (WebKit::WebProcess::*)(WebKit::WebProcessCreationParameters&&), std::tuple<WebKit::WebProcessCreationParameters>, std::integer_sequence<unsigned long, 0ul> > at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/Platform/IPC/HandleMessage.h:46
 #5 IPC::handleMessage<Messages::WebProcess::InitializeWebProcess, WebKit::WebProcess, void (WebKit::WebProcess::*)(WebKit::WebProcessCreationParameters&&)> at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/Platform/IPC/HandleMessage.h:126
 #6 WebKit::WebProcess::didReceiveWebProcessMessage at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/x86_64-redhat-linux-gnu/DerivedSources/WebKit/WebProcessMessageReceiver.cpp:67
 #7 IPC::Connection::dispatchMessage at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/Platform/IPC/Connection.cpp:934
 #8 IPC::Connection::dispatchOneMessage at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WebKit/Platform/IPC/Connection.cpp:965
 #9 WTF::Function<void ()>::operator()() const at /usr/src/debug/webkitgtk4-2.20.0-1.fc27.x86_64/Source/WTF/wtf/Function.h:56

Comment 1 mithrial 2018-03-28 15:00:57 UTC
Created attachment 1414258 [details]
File: backtrace

Comment 2 mithrial 2018-03-28 15:00:59 UTC
Created attachment 1414259 [details]
File: cgroup

Comment 3 mithrial 2018-03-28 15:01:00 UTC
Created attachment 1414260 [details]
File: core_backtrace

Comment 4 mithrial 2018-03-28 15:01:01 UTC
Created attachment 1414261 [details]
File: cpuinfo

Comment 5 mithrial 2018-03-28 15:01:03 UTC
Created attachment 1414262 [details]
File: dso_list

Comment 6 mithrial 2018-03-28 15:01:05 UTC
Created attachment 1414263 [details]
File: environ

Comment 7 mithrial 2018-03-28 15:01:06 UTC
Created attachment 1414264 [details]
File: exploitable

Comment 8 mithrial 2018-03-28 15:01:07 UTC
Created attachment 1414265 [details]
File: limits

Comment 9 mithrial 2018-03-28 15:01:09 UTC
Created attachment 1414266 [details]
File: maps

Comment 10 mithrial 2018-03-28 15:01:11 UTC
Created attachment 1414267 [details]
File: mountinfo

Comment 11 mithrial 2018-03-28 15:01:12 UTC
Created attachment 1414268 [details]
File: open_fds

Comment 12 mithrial 2018-03-28 15:01:14 UTC
Created attachment 1414269 [details]
File: proc_pid_status

Comment 13 Michael Catanzaro 2018-03-28 15:29:50 UTC
This just means the network process crashed. That's the process we want to see a backtrace for.

Comment 14 Akkad 2018-04-07 02:19:46 UTC
*** Bug 1564718 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2018-04-07 17:43:51 UTC
*** Bug 1564721 has been marked as a duplicate of this bug. ***

Comment 16 Grzegorz 2018-04-10 20:22:58 UTC
*** Bug 1565819 has been marked as a duplicate of this bug. ***

Comment 17 Kyriakos Fytrakis 2018-04-10 22:18:49 UTC
*** Bug 1565846 has been marked as a duplicate of this bug. ***

Comment 18 Fedora Update System 2018-04-11 04:46:06 UTC
webkitgtk4-2.20.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4ae4ecee01

Comment 19 Fedora Update System 2018-04-11 04:46:38 UTC
webkitgtk4-2.20.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85791ad8d9

Comment 20 pi 2018-04-11 17:33:02 UTC
Similar problem has been detected:

I'm not sure.  I think it happened when opening a PDF file in atril.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 1 17
crash_function: WTFCrash
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
journald_cursor: s=679696c346dd4da6853959219b32024d;i=414f8e;b=5e62661910bd4cf5b3331783872185e6;m=2b6e913510;t=5698cd0c32f19;x=eecbe19908579d00
kernel:         4.15.10-300.fc27.x86_64
package:        webkitgtk4-2.20.0-1.fc27
reason:         WebKitWebProcess killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 diego 2018-04-12 00:16:54 UTC
*** Bug 1566278 has been marked as a duplicate of this bug. ***

Comment 22 Kevin L. Mitchell 2018-04-13 20:31:05 UTC
*** Bug 1567347 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2018-04-15 14:45:32 UTC
webkitgtk4-2.20.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Diego Henrique Trentini Gehm 2018-04-16 16:04:07 UTC
*** Bug 1568035 has been marked as a duplicate of this bug. ***

Comment 25 Fedora Update System 2018-04-18 01:03:40 UTC
webkitgtk4-2.20.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Michael Catanzaro 2018-06-08 02:49:32 UTC
*** Bug 1567526 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.